Subject: RE: [P2PSIP] do we need a client protocol?

From: Zheng Hewen <[email-masked]>
Date: Wed, 11 Jul 2007 16:36:29 +0800

Hi,

    A client protocol will be useful when some peers in the overlay do not support SIP, those peers are only responsible to
provide distributed storage, location and transport services for information about SIP, but those peers do not recognize any
SIP messages at all.
   In this case, how to maintain the relation between clients (UA) and the hosting peer(s)? One client protocol is desirable
at this time.

Zheng Hewen
HUAWEI TECHNOLOGIES CO.,LTD.  huawei_logo

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264
E-mail: [email-masked]
www.huawei.com
----------------------------------------------------------------------------------------------------------------------------
---------
This e-mail and its attachments contain confidential information from HUAWEI, which
is intended only for the person or entity whose address is listed above. Any use of the
information contained herein in any way (including, but not limited to, total or partial
disclosure, reproduction, or dissemination) by persons other than the intended
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: [P2PSIP] do we need a client protocol?

Folks,

Given the length of the discussion on "do we need a client protocol?"
let me repeat the simple imperatives for the client:

- Limited battery in mobile devices, and

- Other uses besides SIP. Business planning folks may not care about the WG charter, but about the return on the investment.

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:[email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology

David A. Bryan wrote:
> If I understand this right, not sure I like it. Do these
"non-contributing
> peer" (I *do* like contributing better than active/passive) entities
have a
> Peer-ID? In otherwords, are they part of the overlay at all? If so,
for
> most
> DHTs, how do we allow you to be in the overlay and not store resources
(not
> typical for most current DHT algorithms)

Well, that certainly depends on the DHT algorithm involved. It certainly seems that a peer that moves between contributing
and non-contributing might HAVE a peer ID, but whether it chooses to insert itself into the DHT "right now" might determine
whether it is contributing "right now"
or not.

> My concern all along has been that I don't understand why something is
> a peer if it isn't doing anything other than talking to someone and
> making requests, hence why I supported client in the first place.
>  I fail to see how something that isn't contributing anything, and
> instead talks to a peer to get resources, is in any way a peer. It
> seems completely not in keeping with the idea of P2P. I also worry it
> is likely to be very confusing since we've been using the other
> terminology for over a year now. Just looks like a souce of confusion.

A node might sometimes have a high-bandwidth connection and wish to contribute resources, and sometimes not have a
high-bandwidth connection and therefore not wish to offer resources. Does this modality make it two different nodes?

> If we do go this way, there is one subtle point. If I join the overlay
but
> don't happen to offer any services (other than maybe
storage...depending on
> how we definie it, that might or might not be mandatory), would I be
> contributing? If joining the overlay (in the sense that we have a
PeerID
> and
> we route traffic) doesn't require me to store, I could offer no
services

That's "offer no other services", since routing is itself a service.

> and
> still be a peer. How do we distinguish between this case and a
> "non-contributing peer" who isn't even part of the overlay (i.e., no
> Peer-ID)

I think there's a range of "contributing" in play. For most DHT models, a minimally contributing node will route a request
it receives. It might ask nicely (perhaps a q-value mechanism) to not have to route requests, but would probably
mathematically still have to route something it gets.

I think we distinguish based on the service advertisements from the peer.

> If we are so opposed to client for confusion with SIP UAs, lets pick a
new
> name, but why some flavor of peer when it does nothing remotely peer
like?

Because in 15 minutes it might roam onto a WiFi net and therefore change it service offering.

--
Dean

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

---

From: "Michal Giermasinski" <[email-masked]>
Date: Wed, 11 Jul 2007 23:30:38 +0200

Hi!

Well, in my oppinion it is not a good for creating a new protocol. If a
client application is not able to use SIP protocol that is well known for
years it obviously will not be able to use a new one that will be designed
especially for cooperation with p2psip overlay.

If we follow this understanding we can assume that the better thing is to
use SIP on this interface (between client outstanding the overlay and the
peer in the overlay). The only issue is to create a proxy-like peer that
will be able to help client to get benefits of the overlay.

What we should consider is how to filter the traffic unwanted by regular
client that do not want to take part in the routing decision.

best regards
Michal Giermasinski

2007/7/11, Zheng Hewen <[email-masked]>:
>
> Hi,
>
>    A client protocol will be useful when some peers in the overlay do not
> support SIP, those peers are only responsible to
> provide distributed storage, location and transport services for
> information about SIP, but those peers do not recognize any
> SIP messages at all.
>   In this case, how to maintain the relation between clients (UA) and the
> hosting peer(s)? One client protocol is desirable
> at this time.
>
>
> Zheng Hewen
> - Other uses besides SIP. Business planning folks may not care about the
> WG charter, but about the return on the investment.
>
> Thanks, Henry
>
> Well, that certainly depends on the DHT algorithm involved. It certainly
> seems that a peer that moves between contributing
> and non-contributing might HAVE a peer ID, but whether it chooses to
> insert itself into the DHT "right now" might determine
> A node might sometimes have a high-bandwidth connection and wish to
> contribute resources, and sometimes not have a
> high-bandwidth connection and therefore not wish to offer resources. Does
> this modality make it two different nodes?
>
> I think there's a range of "contributing" in play. For most DHT models, a
> minimally contributing node will route a request

---

From: Zheng Hewen <[email-masked]>
Date: Thu, 12 Jul 2007 09:34:05 +0800

Hi,
 
    Please let me describe the case in detail.
    In the case, all clients support SIP, but some peers in the overlay network do not support SIP and some support SIP. For
those peers which do not support SIP, such as some PCs, they can provide all required DHT services, but there is only a pity
that they can not recognize any SIP message, maybe they think that the capability is unnecessary. In this case, some client
protocol is desirable. Certainly this protocol may be the subset of general Peer Protocol if we regard those clients as Lame
Peers and regard those peers as Pure Peers who only provide required DHT services.
    IMHO, this case does not care those clients not supporting SIP.
 
Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

From: Michal Giermasinski [mailto:[email-masked]] 
Sent: 2007?7?12? 5:31
To: Zheng Hewen; [email-masked]
Subject: Re: [P2PSIP] do we need a client protocol?

Hi!
 
Well, in my oppinion it is not a good for creating a new protocol. If a client application is not able to use SIP protocol
that is well known for years it obviously will not be able to use a new one that will be designed especially for cooperation
with p2psip overlay. 
 
If we follow this understanding we can assume that the better thing is to use SIP on this interface (between client
outstanding the overlay and the peer in the overlay). The only issue is to create a proxy-like peer that will be able to
help client to get benefits of the overlay. 
 
What we should consider is how to filter the traffic unwanted by regular client that do not want to take part in the routing
decision.
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip  <https://www1.ietf.org/mailman/listinfo/p2psip> 

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip  <https://www1.ietf.org/mailman/listinfo/p2psip> 

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip  <https://www1.ietf.org/mailman/listinfo/p2psip>

---

From: "HUANG Ping B" <[email-masked]>
Date: Thu, 12 Jul 2007 10:21:31 +0800

Hi all
    P2P is great topic, but P2PSIP is the subset or certain instance of P2P. when we discuss P2PSIP, we shall not involve all nodes which could be peers in P2PSIP overlay. peers in P2PSIP overlay are not equal to peers in P2P overlay. when we discuss IMS, although legacy equipments does not support SIP, but some AGWs do translation or agent for those equipments. then, when we discuss P2PSIP, shall we involve all peers who know SIP or not in P2PSIP overlay? I think P2P is not equal to P2PSIP, and vice versa. and I think that Peers in P2PSIP overlay should have some common base functionalitis such as SIP recognition. I think we shall make P2PSIP more simple but not more complex.

________________________________

From: Zheng Hewen [mailto:[email-masked]] 
Sent: Thursday, July 12, 2007 9:34 AM
To: 'Michal Giermasinski'; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi,
 
    Please let me describe the case in detail.
    In the case, all clients support SIP, but some peers in the overlay network do not support SIP and some support SIP. For those peers which do not support SIP, such as some PCs, they can provide all required DHT services, but there is only a pity that they can not recognize any SIP message, maybe they think that the capability is unnecessary. In this case, some client protocol is desirable. Certainly this protocol may be the subset of general Peer Protocol if we regard those clients as Lame Peers and regard those peers as Pure Peers who only provide required DHT services.
    IMHO, this case does not care those clients not supporting SIP.
 
Zheng Hewen
HUAWEI TECHNOLOGIES CO.,LTD.   

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264
-------------------------------------------------------------------------------------------------------------------------------------

________________________________

Sent: 2007年7月12日 5:31

Hi!
 
Well, in my oppinion it is not a good for creating a new protocol. If a client application is not able to use SIP protocol that is well known for years it obviously will not be able to use a new one that will be designed especially for cooperation with p2psip overlay. 
 
If we follow this understanding we can assume that the better thing is to use SIP on this interface (between client outstanding the overlay and the peer in the overlay). The only issue is to create a proxy-like peer that will be able to help client to get benefits of the overlay. 
 
What we should consider is how to filter the traffic unwanted by regular client that do not want to take part in the routing decision.
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: "Roy, Radhika R." <[email-masked]>
Date: Wed, 11 Jul 2007 23:08:53 -0400

Hi, Huang:
 
Right.
 
Our focus should be P2PSIP and P2PSIP overlay. Because we are taking a limited step considering the big picture of P2P. P2P is a very big area and we are not chartered for this.
 
Best regards,
Radhika

From: [email-masked] on behalf of HUANG Ping B
Sent: Wed 7/11/2007 10:21 PM
To: Zheng Hewen; Michal Giermasinski; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi all

Hi,

Zheng Hewen
HUAWEI TECHNOLOGIES CO.,LTD.  huawei_logo<https://mclmail.saic.com/exchange/royrr/Drafts/RE:%20%5BP2PSIP%5D%20do%20we%20need%20a%20client%20protocol_x003F_.EML/1_multipart/outlook_huawei_logo_en.jpg> 

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---

From: Zheng Hewen <[email-masked]>
Date: Thu, 12 Jul 2007 14:00:46 +0800

Hi,
 
  If I do not misunderstand, P2PSIP is not equal to SIP.
  Essentially in P2PSIP overlay, P2PSIP peers have nothing with SIP. Why must we bind SIP to P2PSIP peers? 
  
  Here is the description about P2PSIP peers in WG charter, FYI.
  "The work focuses on collections of nodes called "P2PSIP peers" and "P2PSIP clients". P2PSIP peers manifest a distributed
namespace in which overlay users are identified and provides mechanisms for locating users or resources within the P2PSIP
overlay. P2PSIP clients differ from P2PSIP peers primarily in that they do not store information in the overlay, but only
use it to locate users and resources. P2PSIP clients and peers use the resolution services of the peers as an alternative to
the SIP discovery process of RFC 3263. In this way, P2PSIP offers an alternative mechanism for determining the correct
destination for SIP requests. The working group's initial charter scope will be to produce protocols to enable this
alternate mechanism for RFC 3263 functionality."
 
  Nothing says that P2PSIP peers must support SIP or have anything with SIP.
  From the charter, functionality of P2PSIP peers is so clear and simple, why do we make it complicated? I think we can do
it simpler, SIP is SIP, P2PSIP peer is P2PSIP peer, let them be.

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

From: HUANG Ping B [mailto:[email-masked]] 
Sent: 2007年7月12日 10:22
To: Zheng Hewen; Michal Giermasinski; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi all
    P2P is great topic, but P2PSIP is the subset or certain instance of P2P. when we discuss P2PSIP, we shall not involve
all nodes which could be peers in P2PSIP overlay. peers in P2PSIP overlay are not equal to peers in P2P overlay. when we
discuss IMS, although legacy equipments does not support SIP, but some AGWs do translation or agent for those equipments.
then, when we discuss P2PSIP, shall we involve all peers who know SIP or not in P2PSIP overlay? I think P2P is not equal to
P2PSIP, and vice versa. and I think that Peers in P2PSIP overlay should have some common base functionalitis such as SIP
recognition. I think we shall make P2PSIP more simple but not more complex.

  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

---

From: "HUANG Ping B" <[email-masked]>
Date: Thu, 12 Jul 2007 16:56:31 +0800

I have never said that P2PSIP is equal to SIP, P2PSIP is just an overlay as an alternative to the SIP discovery process of RFC 3263, P2PSIP offers an alternative mechanism for determining the correct destination for SIP requests. SIP is session layer protocol, P2PSIP is under SIP. of cause, is you use another protocol, P2PSIP may be called another name, such as P2PXXX. Peers in P2PSIP overlay are responsible not just for location (done by P2PSIP protocol). Why we called P2PSIP as "P2PSIP"?  this name means that there is a relationship between P2PSIP and SIP, maybe SIP over P2P or P2P over SIP. but any way, SIP should be used. then Peers in P2PSIP overlay( not P2PXXX overlay) should recognize SIP message. Ok, you can say that a tunnel protocol could be used to deliver SIP protocol, this is a choice, but not good choice. if a tunnel protocol is used, then SIP has nothing with P2P overlay, this tunnel protocol could deliver any protocols besides SIP, then name "P2PSIP" does not make sense.
when peers in P2PSIP overlay do not recognize SIP message, then let them out of overlay.

From: Zheng Hewen [mailto:[email-masked]] 
Sent: Thursday, July 12, 2007 2:01 PM
To: HUANG Ping B; 'Michal Giermasinski'; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi,

  Here is the description about P2PSIP peers in WG charter, FYI.
  "The work focuses on collections of nodes called "P2PSIP peers" and "P2PSIP clients". P2PSIP peers manifest a distributed namespace in which overlay users are identified and provides mechanisms for locating users or resources within the P2PSIP overlay. P2PSIP clients differ from P2PSIP peers primarily in that they do not store information in the overlay, but only use it to locate users and resources. P2PSIP clients and peers use the resolution services of the peers as an alternative to the SIP discovery process of RFC 3263. In this way, P2PSIP offers an alternative mechanism for determining the correct destination for SIP requests. The working group's initial charter scope will be to produce protocols to enable this alternate mechanism for RFC 3263 functionality."
 
  Nothing says that P2PSIP peers must support SIP or have anything with SIP.
  From the charter, functionality of P2PSIP peers is so clear and simple, why do we make it complicated? I think we can do it simpler, SIP is SIP, P2PSIP peer is P2PSIP peer, let them be.

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi all

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi!

 
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: Zheng Hewen <[email-masked]>
Date: Thu, 12 Jul 2007 17:20:40 +0800

Oh, I do not agree that "SIP should be used" in the P2PSIP overlay or "Peers in P2PSIP overlay should recognize SIP
message".
Why did we call P2PSIP as "P2PSIP"? 
IMHO, the true and only cause is that we try to provide a method to determine the correct destination for SIP requests using
not RFC3263(DNS-based) but P2P technology, just as the description of WG charter, this is the current and only relation
between SIP and P2PSIP.
No any assumption about that all peers in P2PSIP overlay must recognize SIP exists in the charter.
P2PSIP serves SIP, it does not mean that peers in P2PSIP overlay must support SIP. 
Why not reject those participated non-SIP-enabled peers? Jut for personal sensation? Those peers work in P2PSIP overlay.
Certainly, P2PSIP do not refuse some peers supporting SIP as it should not refuse those peers not support SIP when P2PSIP
can serve SIP as description of the charter.

  _____  

Sent: 2007年7月12日 16:57

I have never said that P2PSIP is equal to SIP, P2PSIP is just an overlay as an alternative to the SIP discovery process of
RFC 3263, P2PSIP offers an alternative mechanism for determining the correct destination for SIP requests. SIP is session
layer protocol, P2PSIP is under SIP. of cause, is you use another protocol, P2PSIP may be called another name, such as
P2PXXX. Peers in P2PSIP overlay are responsible not just for location (done by P2PSIP protocol). Why we called P2PSIP as
"P2PSIP"?  this name means that there is a relationship between P2PSIP and SIP, maybe SIP over P2P or P2P over SIP. but any
way, SIP should be used. then Peers in P2PSIP overlay( not P2PXXX overlay) should recognize SIP message. Ok, you can say
that a tunnel protocol could be used to deliver SIP protocol, this is a choice, but not good choice. if a tunnel protocol is
used, then SIP has nothing with P2P overlay, this tunnel protocol could deliver any protocols besides SIP, then name
"P2PSIP" does not make sense.
when peers in P2PSIP overlay do not recognize SIP message, then let them out of overlay.

  _____  

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi all

  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

---

From: <[email-masked]>
Date: Thu, 12 Jul 2007 12:32:35 +0300

Some comments inline...

	From: ext HUANG Ping B [mailto:[email-masked]] 
	Sent: 12 July, 2007 11:57
	To: Zheng Hewen; Michal Giermasinski; [email-masked]
	Subject: RE: [P2PSIP] do we need a client protocol?

	I have never said that P2PSIP is equal to SIP, P2PSIP is just an overlay as an alternative to the SIP discovery process of RFC 3263, P2PSIP offers an alternative mechanism for determining the correct destination for SIP requests. 
	 
	Do you need SIP to offer an alternative mechanism for determining a correct destination for SIP requests?
	 
	SIP is session layer protocol, P2PSIP is under SIP. of cause, is you use another protocol, P2PSIP may be called another name, such as P2PXXX. Peers in P2PSIP overlay are responsible not just for location (done by P2PSIP protocol). Why we called P2PSIP as "P2PSIP"?  this name means that there is a relationship between P2PSIP and SIP, maybe SIP over P2P or P2P over SIP. but any way, SIP should be used. 
	 
	SIP is a session initiation protocol. In some cases it may be used only between SIP UAs.
	 
	  then Peers in P2PSIP overlay( not P2PXXX overlay) should recognize SIP message. Ok, you can say that a tunnel protocol could be used to deliver SIP protocol, this is a choice, but not good choice. if a tunnel protocol is used, then SIP has nothing with P2P overlay, this tunnel protocol could deliver any protocols besides SIP, then name "P2PSIP" does not make sense.
	when peers in P2PSIP overlay do not recognize SIP message, then let them out of overlay. 
	 
	I would like to encourage you to read the following drafts:
	http://www.p2psip.org/drafts/draft-bryan-p2psip-requirements-00.txt
	http://www.ietf.org/internet-drafts/draft-baset-p2psip-p2pp-00.txt <http://www.p2psip.org/drafts/draft-baset-p2psip-p2pcommon-01.txt> 
	http://www.p2psip.org/drafts/draft-jennings-p2psip-asp-00.txt 
	 
	Marcin

	Hi,

	 

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	Hi all

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	Hi!

	 
	 
	best regards
	Michal Giermasinski

		Hi,

		Zheng Hewen

		Huihong Mansion
		No.91 Baixia Road
		NanJing, P.R.China
		Tel: 025-84565467
		Fax: 025-84565354
		Mobile: 13611508264

		-----Original Message-----
		From: Henry Sinnreich [mailto:[email-masked]]
		Sent: 2007?6?26? 1:39
		To: Dean Willis; David A. Bryan
		Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
		Subject: [P2PSIP] do we need a client protocol?
		
		Folks,

		
		
		Thanks, Henry
		
		-----Original Message-----
		From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
		Sent: Thursday, June 14, 2007 11:23 PM
		To: David A. Bryan
		Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
		Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
		
		"non-contributing
		have a
		for
		(not

		
		
		but
		storage...depending on
		PeerID
		services

		

		new
		like?

		--
		Dean

---

From: Zheng Hewen <[email-masked]>
Date: Thu, 12 Jul 2007 17:32:32 +0800

Hi,
 
   One supplement, FYI.
   In the future P2PSIP deployment, one device that can provide DHT service but not recognize SIP messages should be
admitted as one member/peer of P2PSIP overlay, we do not have to update the device to support SIP and then provide DHT
service, the cost introduced due to the update is unnecessary.

  _____  

  _____  

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi all

  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

---

From: "HUANG Ping B" <[email-masked]>
Date: Thu, 12 Jul 2007 22:27:21 +0800

Hi Zheng and marcin
   I have never said that P2PSIP is IP or use SIP. as we know, there are two mode in P2PSIP, one is SIP over P2P and the other is P2P over SIP.SIP is just in application layer and P2P or P2PSIP are more like transport layer. in SIP over P2P, SIP is just one of the protocols interacting with P2P or P2PSIP overlay. in P2P over SIP, SIP is made some extension. I have never said that P2PSIP peer protocol shall use SIP, SIP is over P2PSIP!
   And as I said, peers "SHOULD" not "SHALL" recognize SIP. maybe you "SHALL" read RFC2119

From: Zheng Hewen [mailto:[email-masked]] 
Sent: Thursday, July 12, 2007 5:33 PM
To: HUANG Ping B; 'Michal Giermasinski'; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi,
 
   One supplement, FYI.
   In the future P2PSIP deployment, one device that can provide DHT service but not recognize SIP messages should be admitted as one member/peer of P2PSIP overlay, we do not have to update the device to support SIP and then provide DHT service, the cost introduced due to the update is unnecessary.

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi all

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi!

 
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: "Roy, Radhika R." <[email-masked]>
Date: Thu, 12 Jul 2007 11:00:33 -0400

Huang:
 
I also think, as you have said, P2PSIP peers should not recognize SIP. It means that if SIP is used, P2PSIP peers may understand SIP as well.
 
However, would please clarify with some examples, as you have said, the following?

1.	
	SIP is an application layer
2.	
	P2PSIP is like a transport layer
3.	
	SIP is just one application interacting with P2PSIP overlay

Best regards,
Radhika

From: [email-masked] on behalf of HUANG Ping B
Sent: Thu 7/12/2007 10:27 AM
To: Zheng Hewen; Michal Giermasinski; [email-masked]; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi Zheng and marcin

Hi,
 
   One supplement, FYI.

Sent: 2007?7?12? 16:57

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Sent: 2007?7?12? 10:22

Hi all

Hi,

Zheng Hewen
HUAWEI TECHNOLOGIES CO.,LTD.  huawei_logo<https://mclmail.saic.com/exchange/royrr/Drafts/RE:%20%5BP2PSIP%5D%20do%20we%20need%20a%20client%20protocol_x003F_.EML/1_multipart/outlook_huawei_logo_en-1.jpg> 

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi!

 
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264
	www.huawei.com <http://www.huawei.com/> 

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: "Duan Chen" <[email-masked]>
Date: Fri, 13 Jul 2007 09:32:30 +0800

Hi, Huang & Zheng:

One comment:

  If I understand correctly, the P2PSIP overlay should be able to transport
the SIP message because of the NAT traversal issue between peers. If it does
not, there is no reliable way for a peer behind one NAT to send a SIP INVITE
to a peer behind another NAT (see section 5.3 of
draft-ietf-p2psip-concepts-00.txt), a P2PSIP peer may or may not be coupled
with a SIP entity, but it should be able to recognize the SIP message; or
how can it encapsulate or multiplex a SIP message along the peer to peer
connections?

Thus if there is a device joining the DHT overlay but not able to recognize
the SIP message, it would preclude the approach mentioned above to solve the
NAT issue.

thanks and regards!

On 7/12/07, HUANG Ping B <[email-masked]> wrote:
>
>  Hi Zheng and marcin
>    I have never said that P2PSIP is IP or use SIP. as we know, there are
> two mode in P2PSIP, one is SIP over P2P and the other is P2P over SIP.SIPis just in application layer and P2P or P2PSIP are more like transport
> layer. in SIP over P2P, SIP is just one of the protocols interacting with
> P2P or P2PSIP overlay. in P2P over SIP, SIP is made some extension. I have
> never said that P2PSIP peer protocol shall use SIP, SIP is over P2PSIP!
>  ------------------------------
> *From:* Zheng Hewen [mailto:[email-masked]]
> *Sent:* Thursday, July 12, 2007 5:33 PM
> *To:* HUANG Ping B; 'Michal Giermasinski'; [email-masked]
> *Subject:* RE: [P2PSIP] do we need a client protocol?
>
>
>  Hi,
>
>    One supplement, FYI.
>    In the future P2PSIP deployment, one device that can provide DHT
> service but not recognize SIP messages should be admitted as one member/peer
> of P2PSIP overlay, we do not have to update the device to support SIP and
> then provide DHT service, the cost introduced due to the update is
> unnecessary.
>
>
>  ------------------------------
> *From:* HUANG Ping B [mailto:[email-masked]]
> *Sent:* 2007年7月12日 16:57
> *To:* Zheng Hewen; Michal Giermasinski; [email-masked]
> *Subject:* RE: [P2PSIP] do we need a client protocol?
>
>
>  I have never said that P2PSIP is equal to SIP, P2PSIP is just an overlay
> as an alternative to the SIP discovery process of RFC 3263, P2PSIP offers an
> alternative mechanism for determining the correct destination for SIP
> requests. SIP is session layer protocol, P2PSIP is under SIP. of cause, is
> you use another protocol, P2PSIP may be called another name, such as P2PXXX.
> Peers in P2PSIP overlay are responsible not just for location (done by
> P2PSIP protocol). Why we called P2PSIP as "P2PSIP"?  this name means that
> there is a relationship between P2PSIP and SIP, maybe SIP over P2P or P2P
> over SIP. but any way, SIP should be used. then Peers in P2PSIP overlay( not
> P2PXXX overlay) should recognize SIP message. Ok, you can say that a tunnel
> protocol could be used to deliver SIP protocol, this is a choice, but not
> good choice. if a tunnel protocol is used, then SIP has nothing with P2P
> overlay, this tunnel protocol could deliver any protocols besides SIP, then
> name "P2PSIP" does not make sense.
>  ------------------------------
> *From:* Zheng Hewen [mailto:[email-masked]]
> *Sent:* Thursday, July 12, 2007 2:01 PM
> *To:* HUANG Ping B; 'Michal Giermasinski'; [email-masked]
> *Subject:* RE: [P2PSIP] do we need a client protocol?
>
>
>  Hi,
>
>   *"The work focuses on collections of nodes called "P2PSIP peers" and
> "P2PSIP clients". P2PSIP peers manifest a distributed namespace in which
> overlay users are identified and provides mechanisms for locating users or
> resources within the P2PSIP overlay. P2PSIP clients differ from P2PSIP peers
> primarily in that they do not store information in the overlay, but only use
> it to locate users and resources. P2PSIP clients and peers use the
> resolution services of the peers as an alternative to the SIP discovery
> process of RFC 3263. In this way, P2PSIP offers an alternative mechanism for
> determining the correct destination for SIP requests. The working group's
> initial charter scope will be to produce protocols to enable this alternate
> mechanism for RFC 3263 functionality."*
> **
> *  *Nothing says that P2PSIP peers must support SIP or have anything with
> SIP.
>   From the charter, functionality of P2PSIP peers is so clear and simple,
> why do we make it complicated? I think we can do it simpler, SIP is
> SIP, P2PSIP peer is P2PSIP peer, let them be.
>
>
> Zheng Hewen
>  ------------------------------
> *From:* HUANG Ping B [mailto:[email-masked]]
> *Sent:* 2007年7月12日 10:22
> *To:* Zheng Hewen; Michal Giermasinski; [email-masked]
> *Subject:* RE: [P2PSIP] do we need a client protocol?
>
>
>  Hi all
>     P2P is great topic, but P2PSIP is the subset or certain instance of
> P2P. when we discuss P2PSIP, we shall not involve all nodes which could be
> peers in P2PSIP overlay. peers in P2PSIP overlay are not equal to peers in
> P2P overlay. when we discuss IMS, although legacy equipments does not
> support SIP, but some AGWs do translation or agent for those equipments.
> then, when we discuss P2PSIP, shall we involve all peers who know SIP or not
> in P2PSIP overlay? I think P2P is not equal to P2PSIP, and vice versa. and I
> think that Peers in P2PSIP overlay should have some common base
> functionalitis such as SIP recognition. I think we shall make P2PSIP more
> simple but not more complex.
>
>  ------------------------------
> *From:* Zheng Hewen [mailto:[email-masked]]
> *Sent:* Thursday, July 12, 2007 9:34 AM
> *To:* 'Michal Giermasinski'; [email-masked]
> *Subject:* RE: [P2PSIP] do we need a client protocol?
>
>
>  Hi,
>
>     In the case, all clients support SIP, but some peers in the overlay
> network do not support SIP and some support SIP. For those peers which do
> not support SIP, such as some PCs, they can provide all required DHT
> services, but there is only a pity that they can not recognize any SIP
> message, maybe they think that the capability is unnecessary. In this case,
> some client protocol is desirable. Certainly this protocol may be the subset
> of general Peer Protocol if we regard those clients as Lame Peers and regard
> those peers as Pure Peers who only provide required DHT services.
>  ------------------------------
> *From:* Michal Giermasinski [mailto:[email-masked]]
> *Sent:* 2007年7月12日 5:31
> *To:* Zheng Hewen; [email-masked]
> *Subject:* Re: [P2PSIP] do we need a client protocol?
>
>
>  Hi!
>
> >    A client protocol will be useful when some peers in the overlay do
> > not support SIP, those peers are only responsible to
> >   In this case, how to maintain the relation between clients (UA) and
> > the hosting peer(s)? One client protocol is desirable
> > at this time.
> >
> >
> > Zheng Hewen
> > From: Dean Willis [mailto: [email-masked]]
> > high-bandwidth connection and therefore not wish to offer resources.
> > Does this modality make it two different nodes?
> >
> > I think there's a range of "contributing" in play. For most DHT models,
> > a minimally contributing node will route a request
> > it receives. It might ask nicely (perhaps a q-value mechanism) to not
> > have to route requests, but would probably

---

From: Zheng Hewen <[email-masked]>
Date: Fri, 13 Jul 2007 09:37:35 +0800

Hi Huang
 
    Your reply puzzled me.
    Our discussion focus is whether all peers in P2PSIP overlay must recognize SIP. You think that all peers must recognize
SIP messages, but I think that some peers may not recognize SIP messages, do I misunderstand?
    By the way, in detail, there are three modes compatible with the P2PSIP WG charter. As you said, the first is SIP over
P2P, P2P provides transport service such as tunneling SIP; the second is P2P over SIP, SIP is extended so that P2P is
embedded in SIP messages; the last is that P2P is independent of SIP and SIP is independent of P2P at the same time, P2P
only provides the service determining the correct destination for SIP requests to SIP terminals, it is the simplest and
clearest.
    I suggest that you might read these drafts as Marcin's advice.
   http://www.p2psip.org/drafts/draft-bryan-p2psip-requirements-00.txt
   http://www.ietf.org/internet-drafts/draft-baset-p2psip-p2pp-00.txt
   http://www.p2psip.org/drafts/draft-jennings-p2psip-asp-00.txt 

  _____  

Sent: 2007年7月12日 22:27

Hi Zheng and marcin
   I have never said that P2PSIP is IP or use SIP. as we know, there are two mode in P2PSIP, one is SIP over P2P and the
other is P2P over SIP.SIP is just in application layer and P2P or P2PSIP are more like transport layer. in SIP over P2P, SIP
is just one of the protocols interacting with P2P or P2PSIP overlay. in P2P over SIP, SIP is made some extension. I have
never said that P2PSIP peer protocol shall use SIP, SIP is over P2PSIP!
   And as I said, peers "SHOULD" not "SHALL" recognize SIP. maybe you "SHALL" read RFC2119

  _____  

Hi,
 
   One supplement, FYI.

  _____  

  _____  

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi all

  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

---

From: "HUANG Ping B" <[email-masked]>
Date: Fri, 13 Jul 2007 12:14:40 +0800

Hi Ranhika
   pls refer inline.

From: Roy, Radhika R. [mailto:[email-masked]] 
Sent: Thursday, July 12, 2007 11:01 PM
To: HUANG Ping B; Zheng Hewen; Michal Giermasinski; [email-masked]; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Huang:
 
I also think, as you have said, P2PSIP peers should not recognize SIP. It means that if SIP is used, P2PSIP peers may understand SIP as well. 
                         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"peers "SHOULD" not "SHALL" recognize SIP. " has some spelling mistake, I mean Peers "SHOULD"( not "SHALL") recognize SIP, parenthesis is missing.

1.	
	SIP is an application layer ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~V
2.	
	P2PSIP is like a transport layer ~~~~~~~~~~~~~~~~~~~~~~~~~| 
3.	
	SIP is just one application interacting with P2PSIP overlay    V
4.	
	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~pls refer to "draft-hautakorpi-p2psip-with-hip-00 "  

Best regards,
Radhika

Hi Zheng and marcin

Hi,
 
   One supplement, FYI.

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi all

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi!

 
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: Zheng Hewen <[email-masked]>
Date: Fri, 13 Jul 2007 18:35:19 +0800

Dear Chen,
 
   As you pointed out, section 5.3 of draft-ietf-p2psip-concepts-00 says:
   "In addition to Peer Protocol and Client Protocol messages, a P2PSIP Overlay must also provide a solution to the NAT
Traversal problem for SIP messages. If it does not, there is no reliable way for a peer behind one NAT to send a SIP INVITE
to a peer behind another NAT. One way to solve this problem is to transport SIP messages along Peer and Client Protocol
connections: this could be done either by encapsulating the SIP messages inside Peer and Client Protocol messages or by
multiplexing SIP with the Peer (resp.Client) Protocol on a Peer (resp. Client) Protocol connection."
   
   In this case, those end-point peers (i.e., source and sink peers transmitting SIP Invite) at least must be able to
determine whether the received packets are SIP message, but please pay attention to this point, it does not mean that all
the peers support SIP (i.e., providing SIP functions such as proxy).
   The peers can forward those SIP messages by some mechanism such as RELOAD TRANSPORT-TUNNEL method, at this time those
messages are transparent for intermediate peers, it is not necessary to recognize SIP messages for those intermediate peers
because those intermediate peers only provide P2P distributed storage/lookup/routing services not requiring SIP.
  P2PSIP Peers can support SIP, but it not required that P2PSIP Peers must support SIP.

Best regards,
Zheng Hewen

  _____  

From: Duan Chen [mailto:[email-masked]] 
Sent: 2007年7月13日 9:33
To: HUANG Ping B
Cc: [email-masked]
Subject: Re: [P2PSIP] do we need a client protocol?

Hi, Huang & Zheng:
 
One comment:
  If I understand correctly, the P2PSIP overlay should be able to transport the SIP message because of the NAT traversal
issue between peers. If it does not, there is no reliable way for a peer behind one NAT to send a SIP INVITE to a peer
behind another NAT (see section 5.3 of draft-ietf-p2psip-concepts-00.txt), a P2PSIP peer may or may not be coupled with a
SIP entity, but it should be able to recognize the SIP message; or how can it encapsulate or multiplex a SIP message along
the peer to peer connections? 
 
Thus if there is a device joining the DHT overlay but not able to recognize the SIP message, it would preclude the approach
mentioned above to solve the NAT issue.
 
thanks and regards!

Hi Zheng and marcin

  _____  

Hi,
 
   One supplement, FYI.

  _____  

From: HUANG Ping B [mailto:[email-masked] ] 
Sent: 2007年7月12日 16:57
To: Zheng Hewen; Michal Giermasinski; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

P2PXXX. P eers in P2PSIP overlay are responsible not just for location (done by P2PSIP protocol). Why we called P2PSIP as

  _____  

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

From: HUANG Ping B [mailto:[email-masked] ] 
Sent: 2007年7月12日 10:22
To: Zheng Hewen; Michal Giermasinski; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi all
 
  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

From: Michal Giermasinski [mailto:[email-masked] ] 
Sent: 2007年7月12日 5:31
To: Zheng Hewen; [email-masked]
Subject: Re: [P2PSIP] do we need a client protocol? 

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked] ]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean

---

From: "HUANG Ping B" <[email-masked]>
Date: Mon, 16 Jul 2007 09:48:22 +0800

hello Zheng
     "Our discussion focus is whether all peers in P2PSIP overlay must recognize SIP", I have never said(once again) P2PSIP overlay must recognize SIP, I just said Peers in P2PSIP overlay SHOULD recognize SIP. I have already read those drafts before you and Marcin suggested me to read them, any way, thanks your suggestions.
        in my opinion, P2PSIP is not equal to P2P. P2P is a big picture, but P2PSIP is a small one. I think, we SHOULD not put all peers that may be suit for P2P overlay into P2PSIP overlay. 
        in your reply :"the true and only cause is that we try to provide a method to determine the correct destination for SIP requests...... this is the current and only relation between SIP and P2PSIP."
    I'm afraid that I can not agree with your opinions.in "draft-ietf-p2psip-concepts-00", the definition of "P2PSIP" is below: 
P2PSIP: 
A suite of communications protocols related to the Session Initiation Protocol (SIP) [RFC3261] (Rosenberg, J., Schulzrinne, H., Camarillo, G., Johnston, A., Peterson, J., Sparks, R., Handley, M., and E. Schooler, “SIP: Session Initiation Protocol,” June 2002.) <http://www.p2psip.org/drafts/draft-ietf-p2psip-concepts-00.html#RFC3261>  that enable SIP to use peer-to-peer techniques for resolving the targets of SIP requests, providing SIP message transport, and providing other SIP-related functions. The exact contents of this protocol suite are still under discussion, but is likely to include the P2PSIP Peer Protocol and may include a P2PSIP Client Protocol (see definitions below). 
 
     if destination resolving is the only relationship between P2PSIP  and SIP, IMHO, P2PSIP SHALL not be called "P2PSIP".
    I think we should make several things clear:
   where, when and why P2PSIP is born? just noly because the P2PSIP can find destination for SIP request?

From: Zheng Hewen [mailto:[email-masked]] 
Sent: Friday, July 13, 2007 9:38 AM
To: HUANG Ping B; 'Michal Giermasinski'; [email-masked]; [email-masked]
Subject: RE: [P2PSIP] do we need a client protocol?

Hi Huang
 
    Your reply puzzled me.
    Our discussion focus is whether all peers in P2PSIP overlay must recognize SIP. You think that all peers must recognize SIP messages, but I think that some peers may not recognize SIP messages, do I misunderstand?
    By the way, in detail, there are three modes compatible with the P2PSIP WG charter. As you said, the first is SIP over P2P, P2P provides transport service such as tunneling SIP; the second is P2P over SIP, SIP is extended so that P2P is embedded in SIP messages; the last is that P2P is independent of SIP and SIP is independent of P2P at the same time, P2P only provides the service determining the correct destination for SIP requests to SIP terminals, it is the simplest and clearest.
    I suggest that you might read these drafts as Marcin's advice.
   http://www.p2psip.org/drafts/draft-bryan-p2psip-requirements-00.txt
   http://www.ietf.org/internet-drafts/draft-baset-p2psip-p2pp-00.txt
   http://www.p2psip.org/drafts/draft-jennings-p2psip-asp-00.txt 

Hi Zheng and marcin

Hi,
 
   One supplement, FYI.

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi all

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

Hi!

 
 
best regards
Michal Giermasinski

	Hi,

	Zheng Hewen

	Huihong Mansion
	No.91 Baixia Road
	NanJing, P.R.China
	Tel: 025-84565467
	Fax: 025-84565354
	Mobile: 13611508264

	-----Original Message-----
	From: Henry Sinnreich [mailto:[email-masked]]
	Sent: 2007?6?26? 1:39
	To: Dean Willis; David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
	Subject: [P2PSIP] do we need a client protocol?
	
	Folks,

	
	
	Thanks, Henry
	
	-----Original Message-----
	From: Dean Willis [mailto: [email-masked] <mailto:[email-masked]> ]
	Sent: Thursday, June 14, 2007 11:23 PM
	To: David A. Bryan
	Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
	Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 
	
	"non-contributing
	have a
	for
	(not

	
	
	but
	storage...depending on
	PeerID
	services

	

	new
	like?

	--
	Dean

---

From: Zheng Hewen <[email-masked]>
Date: Mon, 16 Jul 2007 10:10:55 +0800

Hi Huang,
 
    Surely, as you said, draft-ietf-p2psip-concepts-00 defines P2PSIP as below "A suite of communications protocols related
to the Session Initiation Protocol (SIP) [RFC3261] that enable SIP to use peer-to-peer techniques for resolving the targets
of SIP requests, providing SIP message transport, and providing other SIP-related functions." Its scope is bigger than
current WG charter's initial scope as described in http://www.ietf.org/html.charters/p2psip-charter.html, but it does not
influence my viewpoint.
     P2PSIP uses ***peer-to-peer techniques*** for resolving the targets of SIP requests, providing SIP message transport,
and providing other SIP-related functions, so it is called P2PSIP. In this definition, P2P is basic technology, and SIP is
provided as application service such as STUN service. Essentially, services are independent of P2PSIP peers, vice versa.
 
     All guys, please forgive my repeat here:
    Let's end this discussion about whether one client protocol is desirable using draft-ietf-p2psip-concepts-00's
description as below:
    "If the P2PSIP model also contains clients, then a protocol is needed for client - peer communication." (Section 2.4
Relationship of Peer and Client Protocols)
    "Since P2PSIP is about peer-to-peer networks for real-time communication, it is expected that most (if not all) peers
and clients will be coupled with SIP entities. ... However, there is no hard requirement that every P2PSIP node (peer or
client) be coupled to a SIP entity, and some proposed architectures include peer nodes that have no SIP function whatsoever.
" (Section 2.5, Relationship Between P2PSIP and SIP)
    You can get detailed info from draft-ietf-p2psip-concepts-00.
    
    It is my pleasure to discuss with you.
 
Best regards,
Hewen

  _____  

Sent: 2007年7月16日 9:48

hello Zheng
     "Our discussion focus is whether all peers in P2PSIP overlay must recognize SIP", I have never said(once again) P2PSIP
overlay must recognize SIP, I just said Peers in P2PSIP overlay SHOULD recognize SIP. I have already read those drafts
before you and Marcin suggested me to read them, any way, thanks your suggestions.
        in my opinion, P2PSIP is not equal to P2P. P2P is a big picture, but P2PSIP is a small one. I think, we SHOULD not
put all peers that may be suit for P2P overlay into P2PSIP overlay. 
        in your reply :"the true and only cause is that we try to provide a method to determine the correct destination for
SIP requests...... this is the current and only relation between SIP and P2PSIP."
    I'm afraid that I can not agree with your opinions.in "draft-ietf-p2psip-concepts-00", the definition of "P2PSIP" is
below: 
P2PSIP: 

A suite of communications protocols related to the Session Initiation Protocol (SIP)
<http://www.p2psip.org/drafts/draft-ietf-p2psip-concepts-00.html#RFC3261> [RFC3261] (Rosenberg, J., Schulzrinne, H.,
Camarillo, G., Johnston, A., Peterson, J., Sparks, R., Handley, M., and E. Schooler, “SIP: Session Initiation Protocol,”
June 2002.) that enable SIP to use peer-to-peer techniques for resolving the targets of SIP requests, providing SIP message
transport, and providing other SIP-related functions. The exact contents of this protocol suite are still under discussion,
but is likely to include the P2PSIP Peer Protocol and may include a P2PSIP Client Protocol (see definitions below). 

  _____  

Hi Huang
 
    Your reply puzzled me.

  _____  

Hi Zheng and marcin

  _____  

Hi,
 
   One supplement, FYI.

  _____  

  _____  

Hi,

 

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi all

  _____  

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

  _____  

Hi!

 
 
best regards
Michal Giermasinski

Hi,

Zheng Hewen

Huihong Mansion
No.91 Baixia Road
NanJing, P.R.China
Tel: 025-84565467
Fax: 025-84565354
Mobile: 13611508264

---------

-----Original Message-----
From: Henry Sinnreich [mailto:[email-masked]]
Sent: 2007?6?26? 1:39
To: Dean Willis; David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews 
Subject: [P2PSIP] do we need a client protocol?

Folks,

Thanks, Henry

-----Original Message-----
From: Dean Willis [mailto:  <mailto:[email-masked]> [email-masked]]
Sent: Thursday, June 14, 2007 11:23 PM
To: David A. Bryan
Cc: Avshalom Houri; P2PSIP Mailing List; Philip Matthews
Subject: Re: [P2PSIP] Concepts document: proposal for active/passive peerterminology 

"non-contributing
have a
for
(not

but
storage...depending on
PeerID
services

new
like?

--
Dean